#!/usr/bin/perl
#
# $Header: //sapdb/V76/develop/sys/src/install/perl/SAPDB/Install/Control/DriveSelector.pm#3 $
# $DateTime: 2004/09/27 08:54:58 $
# $Change: 80645 $
#
# Desc: 

package SAPDB::Install::Control::DriveSelector;

use Wx qw (wxCB_READONLY);
use SAPDB::Install::System::Win32::API;
our @ISA = qw (Wx::ComboBox);

our $existing_drives = [SAPDB::Install::System::Win32::API::GetHDDrives()];

sub new{
	my ($this ) = shift->SUPER::new(@_);
	$this->SetWindowStyleFlag(wxCB_READONLY);
	$this->Clear;
	foreach my $drive (sort @$existing_drives){
		$this->Append($drive);
	}	
	return $this;
}

sub Destroy{
	my ($self) = @_;
	$self->SUPER::Destroy;
}

sub DESTROY{
	my ($self) =  @_;
	print ">>>> DESTROY $self\n"
		if $SAPDB::Install::DEBUG::DESTRUCT;
}


1;