#!/usr/bin/perl
#
# $Header: //sapdb/V76/develop/sys/src/install/perl/SAPDB/Install/Grid/CellPasswdRenderer.pm#1 $
# $DateTime: 2004/06/15 16:53:01 $
# $Change: 74504 $
#
# Desc: start SAP DB installation/update/patch/instanceupgrade, called by SDBINST/SDBUPD


package SAPDB::Install::Grid::CellPasswdRenderer;

use base Wx::PlGridCellRenderer;

use Wx qw(wxBLACK_PEN wxWHITE_BRUSH);


sub Draw {
  my( $self, $grid, $attr, $dc, $rect, $row, $col, $sel ) = ( shift, @_ );
  $self->SUPER::Draw( @_ );
  $dc->SetPen( wxBLACK_PEN );
  $dc->SetBrush( wxWHITE_BRUSH );
  my $value = $grid->GetCellValue( $row, $col );
  $value =~ s/./*/g;
  $dc->DrawText($value,$rect->x,$rect->y);
}

sub Clone {
  my $self = shift;
  return $self->new;
}



sub Destroy{
	my ($self) = @_;
	self->SUPER::Destroy;
}

1;
