#!/usr/bin/perl
#
# $Header: //sapdb/V76/develop/sys/src/install/perl/SAPDB/Install/Hostname.pm#5 $
# $DateTime: 2004/08/20 14:29:01 $
# $Change: 78493 $
#
# Desc: 

package SAPDB::Install::Hostname;

require SDB::Common::Exporter;
require SAPDB::Install::System::Win32::API;
require SAPDB::Install::System::Unix;
	   	   
our @ISA = ('SDB::Common::Exporter');
our @EXPORT = ('hostname');
our $host;


if($^O =~ /mswin/i){
	$host = SAPDB::Install::System::Win32::API::GetComputerName();
}else{
	my $utsname = SAPDB::Install::System::Unix::uname();
	if (defined $utsname){
		$host = $utsname->{'nodename'}; 
	}
}

sub hostname { $host }

1;