#!/usr/bin/perl
#
# $Header: //sapdb/V76/develop/sys/src/install/perl/SAPDB/Install/Instance/Check/Finalize/ConData.pm#4 $
# $DateTime: 2005/07/27 08:40:37 $
# $Change: 103032 $
#

package SAPDB::Install::Instance::Check::Finalize::ConData;

use SAPDB::Install::Instance::Base;
use SAPDB::Install::Instance::Check::Common;
use SAPDB::Install::Instance::Check::DomainUser;

push @ISA, 
	'SAPDB::Install::Instance::Base',
	'SAPDB::Install::Instance::Check::Common',
	'SAPDB::Install::Instance::Check::DomainUser';

#
# finalize check for migration strategy CONSISTENT_DATA
#
sub finalizecheck {
	my ($self) = @_; 

	$self->set_errorstate ('ERROR');
	$self->msgbegin
	("running finalize check for CONSISTENT_DATA");
	$self->msg1
	("running finalize check for CONSISTENT_DATA...\n");

	my $rc = $self->domainuser ();
	unless (defined $rc && $rc == 0) {
		$self->set_errorstate ('ERROR');
		$self->msgend ();
		return undef;
	}

        #$self->set_errorstate ('EXEC_MIGRATE_DATABASE_REQUIRED');
        #migrate database is implicit from 7.6 on
	$self->msgend ();
	return 0;
}

1;

